package com.contextspace.objectdb_example.model;

import javax.persistence.Entity;

@Entity
public class PhoneNumber extends AbstractContactDetail {

    public enum PhoneNumberTypes {
        Home, Work, Mobile, PersonalMobile, WorkMobile, HomeFax, WorkFax, Fax, Other
    }
    
    private PhoneNumberTypes type;
    
    /**
     * @return the type
     */
    public PhoneNumberTypes getType() {
        return type;
    }
    
    /**
     * @param type the type to set
     */
    public void setType(PhoneNumberTypes type) {
        this.type = type;
    }

    /* (non-Javadoc)
     * @see java.lang.Object#toString()
     */
    @Override
    public String toString() {
        StringBuffer buf = new StringBuffer();
        buf.append("<phoneNumber type=\"").append(getType()).append("\"");
        buf.append(super.toString());
        buf.append("</phoneNumber>");
        return buf.toString();
    }
    
}
